# Contributing to HyperTools

Thank you for your interest in contributing to HyperTools :tada:!

HyperTools is designed to facilitate dimensionality reduction-based visual explorations of high-dimensional data. The basic pipeline is to feed in a high-dimensional dataset (or a series of high-dimensional datasets) and, in a single function call, reduce the dimensionality of the dataset(s) and create a plot. The package is built atop many familiar friends, including matplotlib, scikit-learn and seaborn.

This documents is a set of guidelines for contributing to HyperTools on GitHub. These are guidelines, not rules. This guide is meant to make it easy for you to get involved. Before contributing, it is important to read over this page because it will help you understand the problem that this toolbox tries to solve, our future vision for the project, and what we kinds of contributions (we think) would be most useful.


* [Participation guidelines](#participation-guidelines)
* [What we're working on](#what-were-working-on)
* [How to submit changes](#how-to-submit-changes)
* [How to report bugs](#how-to-report-bugs)
* [Communication channels](#communication-channels)

## Participation guidelines

This project adheres to a [code of conduct](https://www.mozilla.org/en-US/about/governance/policies/participation/). By participating, you are expected to uphold this code. Please report unacceptable behavior to contextualdynamics@gmail.com.

## What we're working on

Take a look at the issues in our [ milestone](https://github.com/ContextLab/hypertools/milestone/5) for the mozsprint!

## How to submit changes

Once you've identified one of the issues above that you feel you can contribute to, you're ready to make a change to the project repository!

1. **[Fork](https://help.github.com/articles/fork-a-repo/) this repository**. This makes your own version of this project you can edit and use.
2. **[Make your changes](https://guides.github.com/activities/forking/#making-changes)**! You can do this in the GitHub interface on your own local machine. Once you're happy with your changes...
3. **Submit a [pull request](https://help.github.com/articles/proposing-changes-to-a-project-with-pull-requests/)**. This opens a discussion around your project and lets the project lead know you are proposing changes.

First time contributing to open source? Check out this *free* series, [How to Contribute to an Open Source Project on GitHub](https://egghead.io/series/how-to-contribute-to-an-open-source-project-on-github).

## How to report bugs

If you are reporting a bug, please submit it to our [issue tracker](https://github.com/ContextLab/hypertools/issues). Please do your best to include the following:

1. A short, top-level summary of the bug. In most cases, this should be 1-2 sentences.
2. A short, self-contained code snippet to reproduce the bug, ideally allowing a simple copy and paste to reproduce. Please do your best to reduce the code snippet to the minimum required.
3. The actual outcome of the code snippet
4. The expected outcome of the code snippet

## Communication channels

Have questions? Want to join in on the discussion? Check out our [gitter](https://gitter.im/hypertools/Lobby).
